Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.binding.beans
Class PropertyAccessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.jgoodies.binding.beans.PropertyException
                      com.jgoodies.binding.beans.PropertyAccessException

All Implemented Interfaces:
  Serializable

    public final class PropertyAccessException

extends PropertyException

A runtime exception that describes read and write access problems when getting/setting a Java Bean property.

Version:
  $Revision: 1.9 $
Author:
  Karsten Lentzsch
See Also:
  `PropertyAdapter`, Serialized Form

Constructor Summary
`PropertyAccessException(String message, Throwable cause)` Constructs a new exception instance with the specified detail message and cause.

Method Summary
`static PropertyAccessException` | `createReadAccessException(Object bean, PropertyAccessor propertyAccessor, Throwable cause)` Creates and returns a new PropertyAccessException instance for a failed read access for the specified bean, property accessor and cause.
`static PropertyAccessException` | `createWriteAccessException(Object bean, Object value, PropertyAccessor propertyAccessor, Throwable cause)` Creates and returns a new PropertyAccessException instance for a failed write access for the specified bean, value, property accessor and cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyAccessException

    public PropertyAccessException(String message,
                                   Throwable cause)

  Constructs a new exception instance with the specified detail message and cause.

  Parameters:
    `message` - the detail message which is saved for later retrieval by the `Throwable.getMessage()` method.
    `cause` - the cause which is saved for later retrieval by the `Throwable.getCause()` method. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

Method Detail

### createReadAccessException

    public static PropertyAccessException createReadAccessException(Object bean,
                                                                    PropertyAccessor propertyAccessor,
                                                                    Throwable cause)

  Creates and returns a new PropertyAccessException instance for a failed read access for the specified bean, property accessor and cause.

  Parameters:
    `bean` - the target bean
    `propertyAccessor` - describes the bean's property
    `cause` - the cause which is saved for later retrieval by the `Throwable.getCause()` method. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.
  Returns:
    an exception that describes a read access problem

### createWriteAccessException

    public static PropertyAccessException createWriteAccessException(Object bean,
                                                                     Object value,
                                                                     PropertyAccessor propertyAccessor,
                                                                     Throwable cause)

  Creates and returns a new PropertyAccessException instance for a failed write access for the specified bean, value, property accessor and cause.

  Parameters:
    `bean` - the target bean
    `value` - the value that could not be set
    `propertyAccessor` - describes the bean's property
    `cause` - the cause which is saved for later retrieval by the `Throwable.getCause()` method. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.
  Returns:
    an exception that describes a write access problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2011 JGoodies Karsten Lentzsch. All Rights Reserved.